fop 1.1

## org.apache.fop.hyphenation
Class HyphenationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.fop.hyphenation.HyphenationException

All Implemented Interfaces:
  java.io.Serializable

    public class HyphenationException

extends java.lang.Exception

An hyphenation exception.

This work was authored by Carlos Villegas (cav@uniscope.co.jp).

TODO Derive from FOPException

See Also:
  Serialized Form

Constructor Summary
`HyphenationException(java.lang.String msg)` Construct a hyphenation exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HyphenationException

    public HyphenationException(java.lang.String msg)

  Construct a hyphenation exception.

  Parameters:
    `msg` - a message string
  See Also:
    `Throwable.Throwable(String)`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.